> ## Documentation Index
> Fetch the complete documentation index at: https://developer.salesforge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get sequence details



## OpenAPI

````yaml https://multichannel-api.salesforge.ai/public/multichannel/swagger/doc.json get /multichannel/workspaces/{workspaceID}/sequences/{sequenceID}
openapi: 3.1.0
info:
  description: Multichannel public endpoints consumed through salesforge-api public docs.
  title: Multichannel Public API
  version: '1.0'
servers:
  - url: https://multichannel-api.salesforge.ai/public
security:
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
externalDocs:
  description: ''
  url: ''
paths:
  /multichannel/workspaces/{workspaceID}/sequences/{sequenceID}:
    get:
      tags:
        - Sequences
      summary: Get sequence details
      parameters:
        - description: Workspace ID
          in: path
          name: workspaceID
          required: true
          schema:
            type: string
        - description: Sequence ID
          in: path
          name: sequenceID
          required: true
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.SequenceDetailsResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    responses.SequenceDetailsResponse:
      properties:
        activeEnrollmentCount:
          type: integer
        branches:
          items:
            $ref: '#/components/schemas/responses.NodeBranchResponse'
          type: array
          uniqueItems: false
        completedLeadCount:
          type: integer
        nodes:
          items:
            $ref: '#/components/schemas/responses.NodeResponse'
          type: array
          uniqueItems: false
        sequence:
          $ref: '#/components/schemas/responses.SequenceResponse'
        totalLeadCount:
          type: integer
      type: object
    responses.ErrorResponse:
      properties:
        data:
          description: >-
            Optional error context. Its shape depends on the message and
            endpoint.
        message:
          description: >-
            Human-readable error text or, for documented cases, a stable
            machine-readable code that clients can branch on.
          example: Invalid request body
          type: string
      type: object
    responses.NodeBranchResponse:
      properties:
        analytics:
          $ref: '#/components/schemas/dto.BranchAnalyticsDTO'
        description:
          type: string
        fromNodeId:
          type: integer
        id:
          type: integer
        name:
          type: string
        toNodeId:
          type: integer
      type: object
    responses.NodeResponse:
      properties:
        actionId:
          type: integer
        analytics:
          $ref: '#/components/schemas/dto.NodeAnalyticsDTO'
        branches:
          items:
            $ref: '#/components/schemas/responses.NodeBranchResponse'
          type: array
          uniqueItems: false
        conditionId:
          type: integer
        distributionStrategy:
          type: string
        id:
          type: integer
        sequenceId:
          type: integer
        type:
          type: string
        variants:
          items:
            $ref: '#/components/schemas/responses.NodeVariantResponse'
          type: array
          uniqueItems: false
        waitInMinutes:
          type: integer
        waitType:
          type: string
      type: object
    responses.SequenceResponse:
      properties:
        analytics:
          $ref: '#/components/schemas/dto.SequenceAnalyticsDTO'
        companyOutreachLimitCount:
          description: 'Deprecated: use settings.companyOutreachLimitCount.'
          type: integer
        companyOutreachLimitEnabled:
          description: 'Deprecated: use settings.companyOutreachLimitEnabled.'
          type: boolean
        createdAt:
          type: string
        description:
          type: string
        id:
          type: integer
        launchedAt:
          type: string
        name:
          type: string
        opportunitiesValue:
          description: 'Deprecated: use settings.opportunitiesValue.'
          type: number
        schedule:
          $ref: '#/components/schemas/dto.Schedule'
        senderProfiles:
          items:
            $ref: '#/components/schemas/responses.SequenceSenderProfileBrief'
          type: array
          uniqueItems: false
        sequentialCompanySendingEnabled:
          description: 'Deprecated: use settings.sequentialCompanySendingEnabled.'
          type: boolean
        settings:
          $ref: '#/components/schemas/responses.SequenceSettingsResponse'
        status:
          type: string
        timezone:
          type: string
        trackOpportunitiesEnabled:
          description: 'Deprecated: use settings.trackOpportunitiesEnabled.'
          type: boolean
        updatedAt:
          type: string
        workspaceId:
          type: string
      type: object
    dto.BranchAnalyticsDTO:
      properties:
        count:
          type: integer
        percentage:
          type: number
      type: object
    dto.NodeAnalyticsDTO:
      properties:
        active:
          type: integer
        completed:
          type: integer
        endValue:
          type: integer
        failed:
          type: integer
      type: object
    responses.NodeVariantResponse:
      properties:
        exposureInPercentage:
          type: number
        id:
          type: integer
        isEnabled:
          type: boolean
        metadata:
          $ref: '#/components/schemas/responses.MetadataResponse'
        nodeId:
          type: integer
      type: object
    dto.SequenceAnalyticsDTO:
      properties:
        actionCounts:
          additionalProperties:
            type: integer
          type: object
        computedAt:
          type: string
        connectionRequests:
          $ref: '#/components/schemas/dto.SequenceConnectionAnalytics'
        contacts:
          $ref: '#/components/schemas/dto.SequenceContactAnalytics'
        emailGoalsAchievedCount:
          type: integer
        emailGoalsValue:
          type: number
        emails:
          $ref: '#/components/schemas/dto.SequenceEmailAnalytics'
        goalsAchievedCount:
          type: integer
        linkedinGoalsAchievedCount:
          type: integer
        linkedinGoalsValue:
          type: number
        linkedinMessages:
          $ref: '#/components/schemas/dto.SequenceLinkedinMessageAnalytics'
        opportunitiesCount:
          type: integer
        positiveReplies:
          $ref: '#/components/schemas/dto.SequencePositiveReplyAnalytics'
        progressPercentage:
          type: number
        replyRate:
          description: Overall reply rate as uniqueReplied / uniqueContacted * 100
          type: number
        totalEmailActionsCount:
          type: integer
        totalGoalsValue:
          type: number
        totalLinkedinActionsCount:
          type: integer
        totalOpportunitiesValue:
          type: number
        trackOpportunitiesEnabled:
          type: boolean
        uniqueContacted:
          description: Distinct leads contacted across email and LinkedIn (deduplicated)
          type: integer
        uniqueReplied:
          description: Distinct leads who replied on any channel (deduplicated)
          type: integer
      type: object
    dto.Schedule:
      properties:
        friday:
          $ref: '#/components/schemas/dto.DaySchedule'
        monday:
          $ref: '#/components/schemas/dto.DaySchedule'
        saturday:
          $ref: '#/components/schemas/dto.DaySchedule'
        sunday:
          $ref: '#/components/schemas/dto.DaySchedule'
        thursday:
          $ref: '#/components/schemas/dto.DaySchedule'
        tuesday:
          $ref: '#/components/schemas/dto.DaySchedule'
        wednesday:
          $ref: '#/components/schemas/dto.DaySchedule'
      type: object
    responses.SequenceSenderProfileBrief:
      properties:
        id:
          type: integer
        name:
          type: string
        profilePictureUrl:
          type: string
      type: object
    responses.SequenceSettingsResponse:
      properties:
        bcc:
          type: string
        bounceShieldEnabled:
          type: boolean
        cc:
          type: string
        ccAndBccEnabled:
          type: boolean
        clickTrackingEnabled:
          type: boolean
        companyOutreachLimitCount:
          type: integer
        companyOutreachLimitEnabled:
          type: boolean
        espMatchingEnabled:
          type: boolean
        localizedOptOutEnabled:
          type: boolean
        openTrackingEnabled:
          type: boolean
        opportunitiesValue:
          type: number
        optOutLinkEnabled:
          type: boolean
        optOutLinkText:
          type: string
        optOutText:
          type: string
        optOutTextEnabled:
          type: boolean
        pauseOnClick:
          type: boolean
        pauseOnOpen:
          type: boolean
        plainTextEmailsEnabled:
          type: boolean
        sequentialCompanySendingEnabled:
          type: boolean
        taskPriorityPolicy:
          enum:
            - new_contacts
            - followups_first
          example: new_contacts
          type: string
        trackOpportunitiesEnabled:
          type: boolean
      type: object
    responses.MetadataResponse:
      properties:
        allowedValidationStatuses:
          items:
            type: string
          type: array
          uniqueItems: false
        contentSource:
          $ref: '#/components/schemas/dto.ContentSource'
        message:
          type: string
        name:
          type: string
        subject:
          type: string
      type: object
    dto.SequenceConnectionAnalytics:
      properties:
        accepted:
          description: Number of connection requests accepted
          type: integer
        conversion:
          description: Acceptance rate as a percentage of sent connection requests
          type: number
        sent:
          description: Number of connection requests sent
          type: integer
      type: object
    dto.SequenceContactAnalytics:
      properties:
        completed:
          type: integer
        failed:
          type: integer
        inProgress:
          type: integer
        total:
          type: integer
      type: object
    dto.SequenceEmailAnalytics:
      properties:
        bounced:
          type: integer
        bouncedPercent:
          type: number
        clicked:
          type: integer
        clickedPercent:
          type: number
        contacted:
          description: Distinct leads who were emailed
          type: integer
        conversion:
          description: >-
            Reply rate as a percentage of unique contacted leads (replied /
            contacted * 100)
          type: number
        opened:
          type: integer
        openedPercent:
          type: number
        optOuted:
          type: integer
        optOutedPercent:
          type: number
        replied:
          description: Distinct leads who replied (excluding out-of-office)
          type: integer
        repliedPercent:
          type: number
        sent:
          description: Total emails sent (message count, not unique leads)
          type: integer
      type: object
    dto.SequenceLinkedinMessageAnalytics:
      properties:
        contacted:
          description: >-
            Distinct leads contacted via LinkedIn outreach (connection request,
            message, or InMail)
          type: integer
        conversion:
          description: >-
            Reply rate as a percentage of unique contacted leads (replied /
            contacted * 100)
          type: number
        replied:
          description: Distinct leads who replied on LinkedIn after sequence outreach
          type: integer
        sent:
          description: Total LinkedIn messages/InMails sent (task count, not unique leads)
          type: integer
      type: object
    dto.SequencePositiveReplyAnalytics:
      properties:
        conversion:
          type: number
        email:
          type: integer
        linkedin:
          type: integer
      type: object
    dto.DaySchedule:
      properties:
        enabled:
          type: boolean
        from:
          maximum: 23
          minimum: 0
          type: integer
        to:
          maximum: 23
          minimum: 0
          type: integer
      type: object
    dto.ContentSource:
      enum:
        - api
        - tiptap
        - agent
      type: string
      x-enum-varnames:
        - ContentSourceAPI
        - ContentSourceTipTap
        - ContentSourceAgent
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.